Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatTypeSupergroup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatType
it.tdlight.jni.TdApi.ChatTypeSupergroup

Enclosing class:
  TdApi

public static final class TdApi.ChatTypeSupergroup extends TdApi.ChatType
A supergroup or channel (with unlimited members).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isChannel`
True, if the supergroup is a channel.
`long`
`supergroupId`
Supergroup or channel identifier.

## Constructor Summary

Constructors
Constructor
Description
`ChatTypeSupergroup()`
A supergroup or channel (with unlimited members).
`ChatTypeSupergroup(long supergroupId, boolean isChannel)`
A supergroup or channel (with unlimited members).
`ChatTypeSupergroup(DataInput input)`
A supergroup or channel (with unlimited members).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### supergroupId

public long supergroupId
Supergroup or channel identifier.

### isChannel

public boolean isChannel
True, if the supergroup is a channel.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatTypeSupergroup

public ChatTypeSupergroup()
A supergroup or channel (with unlimited members).

### ChatTypeSupergroup

public ChatTypeSupergroup(long supergroupId, boolean isChannel)
A supergroup or channel (with unlimited members).

Parameters:
  `supergroupId` - long Supergroup or channel identifier.
  `isChannel` - boolean True, if the supergroup is a channel.

### ChatTypeSupergroup

public ChatTypeSupergroup(DataInput input) throws IOException
A supergroup or channel (with unlimited members).

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`